import {createVNode, render} from 'vue'
import Toast from './Toast.vue'

function getMessageInstance(message: string) {

    const messageNode = createVNode(Toast, {message})
    const div = document.createElement('div')
    render(messageNode, div)
    // @ts-ignore
    setTimeout(() => {
        div.parentNode.removeChild(div)
    }, 3000)
    return div;
}

export const toast = (message: string) => {
    if (timer) clearTimeout(timer)
    let div = document.querySelector('.message-wrapper');
    if (!div) {
        div = document.createElement('div');
        div.classList.add("message-wrapper");
        document.body.append(div);
    }
    // TODO 完善多消息同时共存 - 主要时添加新的容器
    div.append(getMessageInstance(message))
}
let timer = 0;
export default {
    toast,
}