type AdminLoginModel = {
    id: number;
    account: string;
    password?: string;
    token: string;
}
type PointInfoModel = {
    uid: number;
    totalPoint: number;
    validPoint?: number;
    expirePoint?: number;
    expireTime?: any;
    updateTime?: string;
}
type UserInfoModel = {
    id: number;
    openId: string;
    nickname: string;
    headImage: string;
    gender?: number;
    province?: string;
    city?: string;
    parentId: number;
    firstLoginTime: string;
    updateTime?: string;
    status: number;
    pointInfo: PointInfoModel;
    parent?: UserInfoModel | null;
}
type GoodsModel = {
    id?: number;
    category?: number;
    type?: number;
    title?: string;
    originPrice?: number;
    price?: number;
    stock?: number;
    limitCount?: number;
    cover?: string;
    description?: string;
    notice?: string;
    onlineTime?: string;
    offlineTime?: string;
    createTime?: string;
    updateTime?: string;
    status?: number;
}
type OrderInfoModel = {
    id?: string;
    gid?: number;
    orderTitle?: string;
    price?: number;
    count?: number;
    uid?: number;
    data?: any;
    createTime?: string;
    updateTime?: string;
    status?: number;
    owner?: UserInfoModel;
}