package me.xiaoyan.point.api.controller;

import cn.dev33.satoken.stp.StpUtil;
import io.swagger.annotations.ApiOperation;
import me.xiaoyan.point.api.pojo.vo.SignResult;
import me.xiaoyan.point.api.service.SignRecordService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("sign")
public class SignController {

    @Resource
    private SignRecordService signRecordService;

    @ApiOperation("今日签到")
    @RequestMapping("today")
    public SignResult signToday() {
        return signRecordService.signToday(StpUtil.getLoginIdAsInt());
    }

    @ApiOperation("签到信息")
    @RequestMapping("info")
    public SignResult signInfo() {
        return signRecordService.info(StpUtil.getLoginIdAsInt());
    }
}
