package me.xiaoyan.point.api.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import me.xiaoyan.point.api.pojo.Goods;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity me.xiaoyan.point.api.pojo.Goods
 */
@Mapper
public interface GoodsMapper extends BaseMapper<Goods> {
    public Page<Goods> queryByCategory(@Param("category") int category,Page page);

    /**
     * 扣除商品库存
     * @param id
     * @param count
     * @return
     */
    public int deductCount(@Param("id") int id, @Param("count") int count);
    public List<Goods> queryAllGoodsIdAndStock();
}




