package me.xiaoyan.point.api.pojo.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@Builder
public class PageParam {
    private Integer page = 1;
    private Integer pageSize = 20;

    public Page getPage() {
        return new Page().setCurrent(page).setSize(pageSize);
    }
}
