package me.xiaoyan.point.api.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import me.xiaoyan.point.api.pojo.Goods;
import com.baomidou.mybatisplus.extension.service.IService;
import me.xiaoyan.point.api.pojo.vo.GoodsQueryParam;
import me.xiaoyan.point.api.pojo.vo.PageParam;

import java.util.List;

/**
 *
 */
public interface GoodsService extends IService<Goods> {

    Page<Goods> queryByPage(int category, Page page);
    Page<Goods> queryByPage(GoodsQueryParam page);

    /**
     * 减库存
     * @param id
     * @param count
     * @return
     */
    boolean deductStock(int id,int count);

    List<Goods> queryAllGoodsIdAndStock();
    Goods queryByTitle(String title);
}
