package me.xiaoyan.point.api.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import me.xiaoyan.point.api.pojo.OrderInfo;
import me.xiaoyan.point.api.pojo.vo.CreateOrderData;
import me.xiaoyan.point.api.pojo.vo.OrderQueryParam;

/**
 * 订单表(OrderInfo)表服务接口
 *
 * @author makejava
 * @since 2022-11-24 09:32:44
 */
public interface OrderInfoService extends IService<OrderInfo> {

    OrderInfo create(int uid, CreateOrderData data);

    Page queryByPage(OrderQueryParam param,boolean queryGoods,boolean queryUser);

    OrderInfo getOneByIdAndUid(String id, int uid);
}

