package me.xiaoyan.point.api.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import me.xiaoyan.point.api.pojo.UserInfo;
import me.xiaoyan.point.api.pojo.vo.UserLoginData;
import me.xiaoyan.point.api.pojo.vo.UserQueryParam;

public interface UserInfoService extends IService<UserInfo> {

    /**
     * 用户的登录
     * @param data
     * @return
     */
    public UserInfo login(UserLoginData data);

    UserInfo getInfoById(Integer uid);

    UserInfo getInfoByCode(String code);

    Page<UserInfo> queryByPage(UserQueryParam param);
}
