import {createRouter, createWebHistory} from 'vue-router'
import routes from "./routes";

const baseUrl = '' // 主要配置二级目录
const router = createRouter({
    // 内部提供了 history 模式的实现。为了简单起见，我们在这里使用 hash 模式。
    history: createWebHistory(baseUrl), // 此模式在部署时需要配置服务
    routes
})
export default router