import vue from '@vitejs/plugin-vue'
import vueJsxPlugin from "@vitejs/plugin-vue-jsx";
import DefineOptions from 'unplugin-vue-define-options/vite'

export default {
    hmr: true,
    // 开发服务信息
    server: {
        host: '::'
    },
    // 必须配置vue插件
    plugins: [
        vue(),
        DefineOptions(),
        vueJsxPlugin(), // 如果需要使用jsx或者tsx
    ]
}