package me.xiaoyan.point.api.pojo.dto;

import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CodeSessionData implements Serializable {
    /**
     * 用户唯一标识
     */
    private String openid;
    /**
     * 会话密钥,用于签名或解密
     */
    @SerializedName("session_key")
    private String sessionKey;
    /**
     * 用户在开放平台的唯一标识符
     */
    private String unionid;

    private Integer errcode;

    private String errmsg;
}
