package me.xiaoyan.point.api.pojo.vo;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class UserLoginData implements Serializable {
    @NotEmpty(message = "encryptedData参数不能为空")
    private String encryptedData;
    @NotEmpty(message = "iv参数不能为空")
    private String iv;
    @NotEmpty(message = "code参数不能为空")
    private String code;
    /**
     * 推荐用户id
     */
    private int recommend;
}
