package me.xiaoyan.point.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import me.xiaoyan.point.api.pojo.PointRecord;
import me.xiaoyan.point.api.pojo.UserInfo;
import me.xiaoyan.point.api.pojo.vo.PageParam;

import java.util.List;

public interface PointRecordService extends IService<PointRecord> {
    /**
     * 记录积分的变化
     * @param uid
     * @param point 积分变化值,正数为增加积分，负数为减少积分
     * @param reason
     * @return
     */
    public PointRecord record(Integer uid,Integer point,String reason);

    IPage<PointRecord> histories(Integer uid, PageParam param);
    IPage<PointRecord> exchangeHistories(Integer uid, PageParam param);

}
