package me.xiaoyan.point.api.service;

import com.baomidou.mybatisplus.extension.service.IService;
import me.xiaoyan.point.api.pojo.SignRecord;
import me.xiaoyan.point.api.pojo.UserInfo;
import me.xiaoyan.point.api.pojo.vo.SignResult;

public interface SignRecordService extends IService<SignRecord> {
    /**
     * 今日是否签到
     *
     * @return
     */
    public SignResult signToday(int uid);

    /**
     * 签到信息
     *
     * @return
     */
    public SignResult info(int uid);
}
