import { PageUserinfoModel } from './user.model';
import { defHttp } from '/@/utils/http/axios';

const API = {
  list: '/admin/user/list',
  remove: '/admin/user/remove',
};

export function getGoodsList(params) {
  return defHttp.post<PageUserinfoModel>({
    url: API.list,
    params,
  });
}
export function remove(id: number) {
  return defHttp.get<boolean>({
    url: API.remove,
    params: { id },
  });
}
