import { BasicFetchResult } from '../model/baseModel';

export type PointInfoModel = {
  uid: number;
  totalPoint: number;
  validPoint: number;
  expirePoint: number;
  expireTime: string;
  updateTime?: any;
};
export type UserinfoModel = {
  id: number;
  openId: string;
  nickname: string;
  headImage: string;
  gender: number;
  province?: any;
  city?: any;
  parentId: number;
  parent?: { nickname: string } | null;
  firstLoginTime: string;
  updateTime?: any;
  status: number;
  pointInfo?: PointInfoModel;
};

export type PageUserinfoModel = BasicFetchResult<UserinfoModel>;
