import dayjs from 'dayjs';

export type ColumnRenderType = {
  [key: string]: any;
  value: any;
  text: any;
  record: Recordable<any>;
};
export default (columnName: string, format = 'YYYY-MM-DD HH:mm:ss') => {
  return ({ record }: ColumnRenderType) => dayjs(record[columnName]).format(format);
};
