export type ColumnRenderType = {
  [key: string]: any;
  value: any;
  text: any;
  record: Recordable<any>;
};
export type EnumValueType = {
  [key: string | number]: any;
};
export default (columnName: string, enumValues: EnumValueType) => {
  return ({ record }: ColumnRenderType) => enumValues[record[columnName]] || '-';
};
